Package wx :: Package lib :: Package floatcanvas :: Module FloatCanvas :: Class RectEllipse

[frames | no frames]

## Class RectEllipse

           DrawObject --+
                        |
    LineOnlyMixin --+   |
                    |   |
     LineAndFillMixin --+
                        |
        XYObjectMixin --+
                        |
                       RectEllipse

Known Subclasses:
  `Ellipse`, `Rectangle`

Method Summary
| `__init__(self, XY, WH, LineColor, LineStyle, LineWidth, FillColor, FillStyle, InForeground)`
| `CalcBoundingBox(self)`
| `SetShape(self, XY, WH)`
| `SetUpDraw(self, dc, WorldToPixel, ScaleWorldToPixel, HTdc)`

Class Variable Summary

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:38 2007 | http://epydoc.sf.net